<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BizAccountLinkInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $whatsappBizAcctFbid = null;
    


    protected $whatsappAcctNumber = null;
    


    protected $issueTime = null;
    


    protected $hostStorage = null;
    


    protected $accountType = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getWhatsappBizAcctFbid()
    {
        return isset($this->whatsappBizAcctFbid) ? $this->whatsappBizAcctFbid : 0;
    }

    public function hasWhatsappBizAcctFbid()
    {
        return isset($this->whatsappBizAcctFbid);
    }

    public function clearWhatsappBizAcctFbid()
    {
        unset($this->whatsappBizAcctFbid);
    }

    




    public function setWhatsappBizAcctFbid($var)
    {
        GPBUtil::checkUint64($var);
        $this->whatsappBizAcctFbid = $var;

        return $this;
    }

    



    public function getWhatsappAcctNumber()
    {
        return isset($this->whatsappAcctNumber) ? $this->whatsappAcctNumber : '';
    }

    public function hasWhatsappAcctNumber()
    {
        return isset($this->whatsappAcctNumber);
    }

    public function clearWhatsappAcctNumber()
    {
        unset($this->whatsappAcctNumber);
    }

    




    public function setWhatsappAcctNumber($var)
    {
        GPBUtil::checkString($var, True);
        $this->whatsappAcctNumber = $var;

        return $this;
    }

    



    public function getIssueTime()
    {
        return isset($this->issueTime) ? $this->issueTime : 0;
    }

    public function hasIssueTime()
    {
        return isset($this->issueTime);
    }

    public function clearIssueTime()
    {
        unset($this->issueTime);
    }

    




    public function setIssueTime($var)
    {
        GPBUtil::checkUint64($var);
        $this->issueTime = $var;

        return $this;
    }

    



    public function getHostStorage()
    {
        return isset($this->hostStorage) ? $this->hostStorage : 0;
    }

    public function hasHostStorage()
    {
        return isset($this->hostStorage);
    }

    public function clearHostStorage()
    {
        unset($this->hostStorage);
    }

    




    public function setHostStorage($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BizAccountLinkInfo\HostStorageType::class);
        $this->hostStorage = $var;

        return $this;
    }

    



    public function getAccountType()
    {
        return isset($this->accountType) ? $this->accountType : 0;
    }

    public function hasAccountType()
    {
        return isset($this->accountType);
    }

    public function clearAccountType()
    {
        unset($this->accountType);
    }

    




    public function setAccountType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BizAccountLinkInfo\AccountType::class);
        $this->accountType = $var;

        return $this;
    }

}

